Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ifr_adding_visitor_exception Class Reference

`#include <ifr_adding_visitor_exception.h>`

Inheritance diagram for ifr_adding_visitor_exception:

[legend]
Collaboration diagram for ifr_adding_visitor_exception:

[legend]
List of all members.

## Public Methods
| ifr_adding_visitor_exception (AST_Decl *scope, CORBA::Boolean in_reopened_)
virtual | ~ifr_adding_visitor_exception (void)
virtual int | visit_scope (UTL_Scope *node)
virtual int | visit_structure (AST_Structure *node)
virtual int | visit_exception (AST_Exception *node)
virtual int | visit_enum (AST_Enum *node)
virtual int | visit_union (AST_Union *node)
virtual CORBA::IDLType_ptr | ir_current (void) const
## Private Attributes
CORBA::Boolean | is_nested_
CORBA::StructMemberSeq | members_
ACE_Unbounded_Queue< CORBA::Contained_ptr > | move_queue_

## Constructor & Destructor Documentation

ifr_adding_visitor_exception::ifr_adding_visitor_exception | ( | AST_Decl * | scope,
|  | CORBA::Boolean | in_reopened_
| ) |

ifr_adding_visitor_exception::~ifr_adding_visitor_exception | ( | void |  | ) | `[virtual]`

## Member Function Documentation

CORBA::IDLType_ptr ifr_adding_visitor_exception::ir_current | ( | void |  | ) | const`[virtual]`

int ifr_adding_visitor_exception::visit_enum | ( | AST_Enum * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_exception::visit_exception | ( | AST_Exception * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_exception::visit_scope | ( | UTL_Scope * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_exception::visit_structure | ( | AST_Structure * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

int ifr_adding_visitor_exception::visit_union | ( | AST_Union * | node | ) | `[virtual]`

| Reimplemented from ifr_adding_visitor.

## Member Data Documentation

CORBA::Boolean ifr_adding_visitor_exception::is_nested_`[private]`

CORBA::StructMemberSeq ifr_adding_visitor_exception::members_`[private]`

ACE_Unbounded_Queue<CORBA::Contained_ptr> ifr_adding_visitor_exception::move_queue_`[private]`

The documentation for this class was generated from the following files:

- ifr_adding_visitor_exception.h
- ifr_adding_visitor_exception.cpp